Postgresql plugin disabled by default in 1.9.0?

Hi, I’m using the go package in our own temporal server code. I just updated from 1.6.4 to 1.9.0, and I found out, that by default the postgresql plugin is not used. I now imported it as a side effect
_ "go.temporal.io/server/common/persistence/sql/sqlplugin/postgresql"
and everything is working again.

I’m still a bit confused, as this was not communicated anywhere. Is there something I’m missing, other plugins that were removed to load by default, etc?

Thanks

nothing is changed on server side related to go.temporal.io/server/common/persistence/sql/sqlplugin/postgresql

if you are using Temporal server as a dependency, you need to make sure importing the above postgresql plugin

Thank you, I just wanted to make sure that I need to explicity import it. In the previous version I didn’t have to.